<ion-app>
  <ion-header>
    <app-header></app-header>
  </ion-header>

  <ion-content>
    <ion-split-pane contentId="main">
      <!-- the main content -->
      <ion-content
        id="main"
        class="main-content"
        [scrollEvents]="true"
        (ionScroll)="onScroll($event)"
      >
        <app-pages></app-pages>

        <div class="footer-spacer" *ngIf="showFooter"></div>
        <app-footer *ngIf="showFooter"></app-footer>
      </ion-content>

      <!--  the side menu  -->
      <ion-menu
        class="main-menu"
        side="start"
        contentId="main"
        menuId="first"
        [ngClass]="{ 'menu-hidden': menuHidden }"
      >
        <app-sidebar></app-sidebar>
      </ion-menu>
    </ion-split-pane>
  </ion-content>

  <app-backdrop *ngIf="backdropService.isBackdropActive"></app-backdrop>

  <app-cookie
    *ngIf="cookieService.showCookieWarning"
    [ngClass]="{ 'app-cookie-fadeout': cookieService.isFadeOut }"
  ></app-cookie>
</ion-app>
